# Source code for azure.servicefabric._configuration

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest import Configuration

    from .version import VERSION

    class ServiceFabricClientAPIsConfiguration(Configuration):
        """Configuration for ServiceFabricClientAPIs
        Note that all parameters used to create this instance are saved as instance
        attributes.

        :param credentials: Subscription credentials which uniquely identify
         client subscription.
        :type credentials: None
        :param str base_url: Service URL
        """

        def __init__(
                self, credentials, base_url=None):

            if credentials is None:
                raise ValueError("Parameter 'credentials' must not be None.")
            if not base_url:
                base_url = 'http://localhost:19080'

            super(ServiceFabricClientAPIsConfiguration, self).__init__(base_url)

            # Starting Autorest.Python 4.0.64, make connection pool activated by default
            self.keep_alive = True

            self.add_user_agent('azure-servicefabric/{}'.format(VERSION))

            self.credentials = credentials